; ##############################################################################
; ##############################################################################
; ##############################################################################
; TIMER 2 (8-Bit-Timer) initialisieren											
; BIT7-FOC2		Force Output Compare	    									
; BIT6-WGM20	Waveform Generation Mode										
; BIT5-COM21    Compare Match Output Mode										
; BIT4-COM20	Compare Match Output Mode										
; BIT3-WGM21	Waveform Generation Mode										
; BIT2-CS12  Clock Select														
; BIT1-CS11  Clock Select														
; BIT0-CS10  Clock Select														
;	 CS22 CS21 CS20 Description													
;		0	0 	0 	No clock source. (Timer/Counter stopped)					
;	*	0	0 	1 	clkI/O/1 (No prescaling)									
;		0	1 	0 	clkI/O/8 (From prescaler)									
;		0	1 	1 	clkI/O/64 (From prescaler)									
;		1	0 	0 	clkI/O/256 (From prescaler)									
;		1	0 	1 	clkI/O/1024 (From prescaler)								
;		1	1 	0 	External clock source on T1 pin. Clock on falling edge.		
;		1	1 	1 	External clock source on T1 pin. Clock on rising edge.      
TIMER2_PWM_INITIALISIERUNG:
	;ldi temp,(1<<COM21)|(1<<COM20)|(1<<WGM21)|(1<<WGM20)|(1<<CS20) ;so gehts
	ldi temp,(1<<COM21)|(0<<COM20)|(1<<WGM21)|(1<<WGM20)|(1<<CS20) ; invertiert
	out TCCR2,temp
	; Startwerte				
	ldi temp,0
	out OCR2,temp
	; PORTB initialisieren		
    sbi DDRB,3
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
