; ##############################################################################
; ##############################################################################
; ##############################################################################
KTY_INITIALISIERUNG:
	; REFERENZ-SPANNUNG			
	sbi (REF_DDR),(REF_PIN_NR)	; auf AUSGANG	
	cbi (REF_PORT),(REF_PIN_NR)	; LOW			
	; PWM-WERT	+20 C
	ldi temp,150
	out OCR2,temp
	rcall wait_1s
	rcall wait_1s
	rcall wait_1s
	rcall wait_1s
	; PWM-WERT	+40 C
	ldi temp,250
	out OCR2,temp
	rcall wait_1s
	rcall wait_1s
	rcall wait_1s
	rcall wait_1s

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
KTY_MESSUNG:
	; Referenz an		
	cbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB an	
	sbi (REF_PORT),(REF_PIN_NR)					; HIGH		
	rcall wait_1ms
	; Messen							
	rcall MESSEN_0
	cbi (REF_PORT),(REF_PIN_NR)					; LOW		
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	; minus 440							
	subi temp1,LOW (440)
	sbci temp2,HIGH(440)
	; OFFSET-addieren					
	LDS temp3,(adr_KTY_OFFSET_L)	
	LDS temp4,(adr_KTY_OFFSET_H)	
	add temp1,temp3
	adc temp2,temp4
	; ERROR ?							
	tst temp2
	brne KTY_MESSUNG_ERROR
;-------------------------------------------------------------------------------
	; PWM-WERT aus Tabelle laden		
	ldi ZH, high(TABELLE_KTY*2)
	ldi ZL,  low(TABELLE_KTY*2)
	add ZL,temp1
	adc ZH,temp2
	LPM temp, Z   								; aus Tabelle laden	
	out OCR2,temp								; PWM				
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  aus			
ret
;-------------------------------------------------------------------------------
KTY_MESSUNG_ERROR:
	out OCR2,NULL								; PWM				
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  an			
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

